Summary: A simple program that emulates the detach feature of screen
Name: dtach
Version: 0.8
Release: 1
License: GPLv2+
URL: http://dtach.sourceforge.net
Group: Applications/System
Source0: http://prdownloads.sourceforge.net/dtach/%{name}-%{version}.tar.gz
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root
 
%description
dtach is a program that emulates the detach feature of screen, with
less overhead.  It is designed to be transparent and un-intrusive; it
avoids interpreting the input and output between attached terminals
and the program under its control. Consequently, it works best with
full-screen applications such as emacs.
  

%prep
%setup -q

 
%build
./configure \
    --prefix=%{_prefix}
make %{?_smp_mflags}

 
%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

mkdir -p $RPM_BUILD_ROOT/%{_bindir}
cp %{name} ${RPM_BUILD_ROOT}%{_bindir}/%{name}
chmod 0755 ${RPM_BUILD_ROOT}%{_bindir}/%{name}
/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man1
cp %{name}.1 ${RPM_BUILD_ROOT}%{_mandir}/man1/%{name}.1
chmod 0644 ${RPM_BUILD_ROOT}%{_mandir}/man1/%{name}.1

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc COPYING README
%{_bindir}/*
%{_mandir}/man?/*
/usr/bin/*


%changelog
* Mon Mar 08 2010 Michael Perzl <michael@perzl.org> - 0.8-1
- first version for AIX V5.1 and higher
